Bug 15828 - xdg-mime should try gvfs-info before gnomevfs-info
Summary: xdg-mime should try gvfs-info before gnomevfs-info
Status: RESOLVED FIXED
Alias: None
Product: Portland
Classification: Unclassified
Component: xdg-utils (show other bugs)
Version: 1.0
Hardware: All All
: high normal
Assignee: Fathi Boudra
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 23105
  Show dependency treegraph
 
Reported: 2008-05-05 02:50 UTC by Per Olofsson
Modified: 2010-02-20 13:03 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Per Olofsson 2008-05-05 02:50:39 UTC
Since GVFS has replaced GnomeVFS in Gnome 2.22, I think xdg-mime should try to use gvfs-info if it exists before trying gnomevfs-info. The utilities are similar, but the output is a bit different, so it must be parsed differently.

Something like:
gvfs-info -a standard::content-type "$file" | grep 'standard::content-type:' | cut -d' ' -f4
Comment 1 Pablo Castellano (pablog) 2010-01-23 10:14:41 UTC
I'm rising the priority because gnome-vfs is now deprecated and this bug has not been fixed.

An ubuntu user also proposes a workaround here:
https://bugs.launchpad.net/xdg-utils/+bug/376827

So, I propose a mixture between both:

gvfs-info "$file" 2> /dev/null | grep standard::content-type |cut -d' ' -f4


Comment 2 Pablo Castellano (pablog) 2010-02-20 10:32:00 UTC
PING!

Can anyone commit it, please?
Comment 3 Fathi Boudra 2010-02-20 11:21:27 UTC
taking a look tomorrow morning.
You can expect it fixed in 12h.
thanks for your patience.
Comment 5 Pablo Castellano (pablog) 2010-02-20 13:03:54 UTC
Thanks a lot, Fathi! :)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.